PRAGMA encoding = 'UTF-8';

DROP TABLE IF EXISTS Details;
DROP TABLE IF EXISTS Composants;
DROP TABLE IF EXISTS Fournisseurs;
DROP TABLE IF EXISTS Cartes;

create table Fournisseurs (
    nomF  varchar2(20) PRIMARY KEY,
    siteF varchar2(40),
    adrF varchar2(30),
    cpF number(10),
    locF varchar2(20),
    telF varchar2(15)
);

create table Composants (
    idComp INTEGER PRIMARY KEY, 
    catComp varchar2(20),
    valComp varchar2(10),
    refF varchar2(20),
    nomF varchar2(20),
    PUHTComp number(8),
    CONSTRAINT Composants_C1 foreign key (nomF) references !! A COMPLETER !!    
);

create table Cartes(
    nomCar varchar2(30) PRIMARY KEY, 
    catCar varchar2(20),
    verCar varchar2(10),
    dateCar date  
);

create table Details (
    nomCar varchar2(30) , 
    idComp INTEGER,
    quanC number(6),
    CONSTRAINT Details_C1 PRIMARY KEY(nomCar, idComp), 
    CONSTRAINT Details_C2 foreign key (nomCar) references !! A COMPLETER !!  
    CONSTRAINT Details_C3 foreign key (idComp) references !! A COMPLETER !!  
);


